VARKON Version 1.15 1997-10-24

> ## area - Function

> Geometrical function
> Description
> Returns the area of a planar region bounded by 2D lines, arcs and curves. Optional interior holes or islands are not included. Accuracy is controlled by a step parameter.
> Syntax
> area(step, ref1, refn)

> FLOAT | step;
> REF | ref1;
> REF | refn;

> Principal parameters

> step | - Step length for numerical accuracy
> ref1 | - Identity of first line, arc or curve in boundary

> Optional parameters

> refn | - Identity of additional lines, arcs or curves in exterior or interior boundary

> Return value
> A FLOAT value equal to the calculated area
> Example
> area(0.01, #4, #5, #19)
> Calculates the area bounded by #4, #5 and #19. Step length is set to 0.01
> Comments
> The area is computed by numerical integration along the positive X-axis in steps equal to parameter step. A small value for step gives a more accurate result but takes longer time to compute. For a circle with radius = 1 a step of 0.1 gives an area = 3.15. A step of 0.01 gives an area of 3.1419. The exact area is PI = 3.1415927...
> Boundary entities can be specified in any order of choice but must form one or more well defined boundaries where all entities in each boundary are connected in their endpoints. If more than one boundary is defined one of them must enclose all the other. Boundaries should not cross or touch each other.

VARKON Homepage | Index